Bug 812471 - SELinux is preventing /usr/libexec/gnome-settings-daemon from 'write' accesses on the sock_file native.
Summary: SELinux is preventing /usr/libexec/gnome-settings-daemon from 'write' accesse...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9556de0ef3de2f53c141c321de2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-13 20:13 UTC by Keith
Modified: 2012-04-16 09:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-16 09:25:33 UTC
Type: ---


Attachments (Terms of Use)

Description Keith 2012-04-13 20:13:27 UTC
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc17.x86_64
time:           Fri 13 Apr 2012 02:12:19 PM MDT

description:
:SELinux is preventing /usr/libexec/gnome-settings-daemon from 'write' accesses on the sock_file native.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that gnome-settings-daemon should be allowed write access on the native sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gnome-settings- /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:var_run_t:s0
:Target Objects                native [ sock_file ]
:Source                        gnome-settings-
:Source Path                   /usr/libexec/gnome-settings-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           metacity-2.34.3-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1 SMP Tue Apr 10
:                              20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    Fri 13 Apr 2012 02:04:17 PM MDT
:Last Seen                     Fri 13 Apr 2012 02:06:04 PM MDT
:Local ID                      d0062b24-3b9b-4f7e-8f2e-41c2b0d87a8d
:
:Raw Audit Messages
:type=AVC msg=audit(1334347564.199:205): avc:  denied  { write } for  pid=5926 comm="metacity" name="native" dev="tmpfs" ino=398212 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=sock_file
:
:
:type=SYSCALL msg=audit(1334347564.199:205): arch=x86_64 syscall=connect success=no exit=EACCES a0=10 a1=7fff2ae51ff0 a2=6e a3=7fff2ae51f3c items=0 ppid=5872 pid=5926 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=9 comm=metacity exe=/usr/bin/metacity subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gnome-settings-,xdm_t,var_run_t,sock_file,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Daniel Walsh 2012-04-13 20:19:36 UTC
This looks like your /run directory is mislabeled?

restorecon -R -v /run

Comment 2 Miroslav Grepl 2012-04-16 09:25:33 UTC
If this does not work, please reopen the bug. Thank you.


Note You need to log in before you can comment on or make changes to this bug.